require "gyftwrapper/version"
require "gyftwrapper/api"

module Gyftwrapper
  def self.purchase_card(params)
    self.send_request(:purchase_card, params)
  end

  def self.get_merchants
    self.send_request(:get_merchants)
  end

  def self.send_request(call_type, params = {})
    api = Gyftwrapper::API.new
    if params.any?
      api.send(call_type, params)
    else
      api.send(call_type)
    end
  end
end
